use assert_cmd::Command;

#[test]
fn test_cli_help() {
    let mut cmd = Command::cargo_bin("closure").unwrap();
    cmd.arg("--help");
    cmd.assert().success();
}

#[test]
fn test_cli_auth_required() {
    let mut cmd = Command::cargo_bin("closure").unwrap();
    cmd.arg("cc").arg("p").arg("l");
    cmd.assert().failure();
}
